# ValidationType enum

Enum containing all possible ValidationRule types.

Inheritance
  - Object
  - Enum
  - ValidationType

## Constructors

ValidationType()
  const

## Values

expirationDate → const ValidationType
emailAddress → const ValidationType
fixedList → const ValidationType
iban → const ValidationType
length → const ValidationType
luhn → const ValidationType
range → const ValidationType
regularExpression → const ValidationType
required → const ValidationType
type → const ValidationType
termsAndConditions → const ValidationType

## Properties

hashCode → int
  The hash code for this object.
  read-only inherited
index → int
  A numeric identifier for the enumerated value.
  read-only inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited

## Constants

emailAddressKey → const String
  `"EMAILADDRESS"`
expirationDateKey → const String
  `"EXPIRATIONDATE"`
fixedListKey → const String
  `"FIXEDLIST"`
ibanKey → const String
  `"IBAN"`
lengthKey → const String
  `"LENGTH"`
luhnKey → const String
  `"LUHN"`
rangeKey → const String
  `"RANGE"`
regularExpressionKey → const String
  `"REGULAREXPRESSION"`
requiredKey → const String
  `"REQUIRED"`
termsAndConditionsKey → const String
  `"TERMSANDCONDITIONS"`
typeKey → const String
  `"TYPE"`
values → const List<ValidationType>
  A constant List of the values in this enum, in order of their declaration.
  `[expirationDate, emailAddress, fixedList, iban, length, luhn, range, regularExpression, required, type, termsAndConditions]`